<?php

declare(strict_types=1);

namespace svoboda\pechatalka\models\enumerations\product;

/**
 * Types of products
 *
 * @package svoboda\pechatalka\models\enumerations\product
 *
 * @license http://www.wtfpl.net/ Do What The Fuck You Want To Public License
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
enum type
{
	case pin_37;

	/**
	 * Areas
	 *
	 * @return array The product type areas in centimeters (cm) ['visible' => ['width', 'height'], 'blank' => ['width', 'height']]
	 */
	public function areas(): array
	{
		return match ($this) {
			type::pin_37 => [
				'visible' => [
					'width' => 3.7,
					'height' => 3.7
				],
				'blank' => [
					'width' => 4.85,
					'height' => 4.85
				]
			]
		};
	}
}
